
DROP FUNCTION IF EXISTS documentdb_api_internal.current_op_aggregation;
CREATE OR REPLACE FUNCTION documentdb_api_internal.current_op_aggregation(p_spec documentdb_core.bson, OUT document documentdb_core.bson)
RETURNS SETOF documentdb_core.bson
 LANGUAGE c
 VOLATILE STRICT ROWS 100
AS 'MODULE_PATHNAME', $function$command_current_op_aggregation$function$;
DROP FUNCTION IF EXISTS documentdb_api_internal.current_op_worker;
CREATE OR REPLACE FUNCTION documentdb_api_internal.current_op_worker(p_spec documentdb_core.bson, OUT document documentdb_core.bson)
RETURNS documentdb_core.bson
 LANGUAGE c
 VOLATILE STRICT
AS 'MODULE_PATHNAME', $function$command_current_op_worker$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_project(document documentdb_core.bson, pathSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_project$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_project(document documentdb_core.bson, pathSpec documentdb_core.bson, variableSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_project$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_project_find(document documentdb_core.bson, pathSpec documentdb_core.bson, querySpec documentdb_core.bson DEFAULT NULL)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE CALLED ON NULL INPUT
AS 'MODULE_PATHNAME', $function$bson_dollar_project_find$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_project_find(document documentdb_core.bson, pathSpec documentdb_core.bson, querySpec documentdb_core.bson, letVariableSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE CALLED ON NULL INPUT
AS 'MODULE_PATHNAME', $function$bson_dollar_project_find$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_add_fields(document documentdb_core.bson, pathSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_add_fields$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_add_fields(document documentdb_core.bson, pathSpec documentdb_core.bson, letVariableSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_add_fields$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_set(document documentdb_core.bson, pathSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_set$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_unset(document documentdb_core.bson, pathSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_unset$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_replace_root(document documentdb_core.bson, pathSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_replace_root$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_replace_root(document documentdb_core.bson, pathSpec documentdb_core.bson, variableSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_replace_root$function$;
CREATE OR REPLACE FUNCTION documentdb_api_catalog.bson_dollar_facet_project(documentdb_core.bson, bool)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_facet_project$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_merge_documents(document documentdb_core.bson, pathSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_merge_documents$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_merge_documents(document documentdb_core.bson, pathSpec documentdb_core.bson, overrideArray bool)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_merge_documents$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_merge_documents_at_path(leftDocument documentdb_core.bson, rightDocument documentdb_core.bson, fieldPath text)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_merge_documents_at_path$function$;
CREATE OR REPLACE FUNCTION documentdb_api_internal.bson_dollar_lookup_expression_eval_merge(document documentdb_core.bson, pathSpec documentdb_core.bson, variableSpec documentdb_core.bson)
 RETURNS documentdb_core.bson
 LANGUAGE c
 IMMUTABLE PARALLEL SAFE STRICT
AS 'MODULE_PATHNAME', $function$bson_dollar_lookup_expression_eval_merge$function$;
